Index: trunk/src/lib/graphics/effects/fog_effect.cc
===================================================================
--- trunk/src/lib/graphics/effects/fog_effect.cc	(revision 7165)
+++ trunk/src/lib/graphics/effects/fog_effect.cc	(revision 7193)
@@ -19,6 +19,6 @@
 #include "fog_effect.h"
 
-#include "load_param.h"
-#include "factory.h"
+#include "util/loading/load_param.h"
+#include "util/loading/factory.h"
 
 #include "glincl.h"
Index: trunk/src/lib/graphics/effects/graphics_effect.cc
===================================================================
--- trunk/src/lib/graphics/effects/graphics_effect.cc	(revision 7165)
+++ trunk/src/lib/graphics/effects/graphics_effect.cc	(revision 7193)
@@ -20,5 +20,5 @@
 #include "graphics_effect.h"
 
-#include "load_param.h"
+#include "util/loading/load_param.h"
 
 
Index: trunk/src/lib/graphics/effects/lense_flare.cc
===================================================================
--- trunk/src/lib/graphics/effects/lense_flare.cc	(revision 7165)
+++ trunk/src/lib/graphics/effects/lense_flare.cc	(revision 7193)
@@ -19,6 +19,6 @@
 #include "lense_flare.h"
 
-#include "load_param.h"
-#include "factory.h"
+#include "util/loading/load_param.h"
+#include "util/loading/factory.h"
 
 #include "glincl.h"
Index: trunk/src/lib/graphics/graphics_engine.cc
===================================================================
--- trunk/src/lib/graphics/graphics_engine.cc	(revision 7165)
+++ trunk/src/lib/graphics/graphics_engine.cc	(revision 7193)
@@ -17,5 +17,5 @@
 
 #include "graphics_engine.h"
-#include "resource_manager.h"
+#include "util/loading/resource_manager.h"
 #include "event_handler.h"
 #include "state.h"
@@ -44,6 +44,6 @@
 
 #include "parser/tinyxml/tinyxml.h"
-#include "load_param.h"
-#include "factory.h"
+#include "util/loading/load_param.h"
+#include "util/loading/factory.h"
 #include "class_list.h"
 
Index: trunk/src/lib/graphics/importer/height_map.cc
===================================================================
--- trunk/src/lib/graphics/importer/height_map.cc	(revision 7165)
+++ trunk/src/lib/graphics/importer/height_map.cc	(revision 7193)
@@ -20,5 +20,5 @@
 #include "p_node.h"
 #include "state.h"
-#include "resource_manager.h"
+#include "util/loading/resource_manager.h"
 #include "debug.h"
 
Index: trunk/src/lib/graphics/importer/material.cc
===================================================================
--- trunk/src/lib/graphics/importer/material.cc	(revision 7165)
+++ trunk/src/lib/graphics/importer/material.cc	(revision 7193)
@@ -21,10 +21,10 @@
 #include "texture.h"
 #include "debug.h"
-#include "resource_manager.h"
+#include "util/loading/resource_manager.h"
 #include <stdlib.h>
 #include <string.h>
 
 //! @todo check if we are in RESOURCE MANAGER-mode
-#include "resource_manager.h"
+#include "util/loading/resource_manager.h"
 
 using namespace std;
Index: trunk/src/lib/graphics/importer/md2Model.cc
===================================================================
--- trunk/src/lib/graphics/importer/md2Model.cc	(revision 7165)
+++ trunk/src/lib/graphics/importer/md2Model.cc	(revision 7193)
@@ -19,5 +19,5 @@
 
 #include "debug.h"
-#include "resource_manager.h"
+#include "util/loading/resource_manager.h"
 
 
Index: trunk/src/lib/graphics/importer/media_container.cc
===================================================================
--- trunk/src/lib/graphics/importer/media_container.cc	(revision 7165)
+++ trunk/src/lib/graphics/importer/media_container.cc	(revision 7193)
@@ -25,5 +25,5 @@
 #include "media_container.h"
 
-#include "resource_manager.h"
+#include "util/loading/resource_manager.h"
 
 /* header for debug output */
Index: trunk/src/lib/graphics/importer/model.h
===================================================================
--- trunk/src/lib/graphics/importer/model.h	(revision 7165)
+++ trunk/src/lib/graphics/importer/model.h	(revision 7193)
@@ -46,5 +46,5 @@
   unsigned int     numTexCoor;           //!< how many Texture Coordinates in the Model
 
-  const float*     pVertices;            //!< array of the Vertives
+  const float*     pVertices;            //!< array of the Vertices
   sTriangleExt*    pTriangles;           //!< array of all triangles
   const float*     pNormals;             //!< array of the Normals
@@ -55,5 +55,5 @@
 
 //! This class defines the basic components of a model
-class Model : public BaseObject {
+class Model : virtual public BaseObject {
 
   public:
Index: trunk/src/lib/graphics/importer/movie_player.cc
===================================================================
--- trunk/src/lib/graphics/importer/movie_player.cc	(revision 7165)
+++ trunk/src/lib/graphics/importer/movie_player.cc	(revision 7193)
@@ -25,5 +25,5 @@
 #include "movie_player.h"
 
-#include "resource_manager.h"
+#include "util/loading/resource_manager.h"
 
 // header for debug output
Index: trunk/src/lib/graphics/light.cc
===================================================================
--- trunk/src/lib/graphics/light.cc	(revision 7165)
+++ trunk/src/lib/graphics/light.cc	(revision 7193)
@@ -23,6 +23,6 @@
 #include "vector.h"
 #include "parser/tinyxml/tinyxml.h"
-#include "load_param.h"
-#include "factory.h"
+#include "util/loading/load_param.h"
+#include "util/loading/factory.h"
 #include "debug.h"
 
Index: trunk/src/lib/graphics/render2D/billboard.cc
===================================================================
--- trunk/src/lib/graphics/render2D/billboard.cc	(revision 7165)
+++ trunk/src/lib/graphics/render2D/billboard.cc	(revision 7193)
@@ -17,6 +17,6 @@
 #include "billboard.h"
 
-#include "load_param.h"
-#include "factory.h"
+#include "util/loading/load_param.h"
+#include "util/loading/factory.h"
 
 #include "graphics_engine.h"
Index: trunk/src/lib/graphics/render2D/element_2d.cc
===================================================================
--- trunk/src/lib/graphics/render2D/element_2d.cc	(revision 7165)
+++ trunk/src/lib/graphics/render2D/element_2d.cc	(revision 7193)
@@ -24,5 +24,5 @@
 
 #include "graphics_engine.h"
-#include "load_param.h"
+#include "util/loading/load_param.h"
 #include "class_list.h"
 
Index: trunk/src/lib/graphics/shader.cc
===================================================================
--- trunk/src/lib/graphics/shader.cc	(revision 7165)
+++ trunk/src/lib/graphics/shader.cc	(revision 7193)
@@ -23,5 +23,5 @@
 #include "debug.h"
 
-#include "resource_manager.h"
+#include "util/loading/resource_manager.h"
 
 
Index: trunk/src/lib/graphics/text_engine/text.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/text.cc	(revision 7165)
+++ trunk/src/lib/graphics/text_engine/text.cc	(revision 7193)
@@ -20,5 +20,5 @@
 
 #include "graphics_engine.h"
-#include "resource_manager.h"
+#include "util/loading/resource_manager.h"
 #include "class_list.h"
 #include "debug.h"
Index: trunk/src/lib/graphics/text_engine/text_engine.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/text_engine.cc	(revision 7165)
+++ trunk/src/lib/graphics/text_engine/text_engine.cc	(revision 7193)
@@ -33,5 +33,5 @@
 
 #include "graphics_engine.h"
-#include "resource_manager.h"
+#include "util/loading/resource_manager.h"
 #include "class_list.h"
 
